Skip to content
English

Sender Rule

PUT/v1/mailboxes/{mailbox_id}/sender-rules

Creates or updates a rule for the address sender. Specify action=spam to direct new emails from the sender to spam, or action=allow to allow his emails. The rule applies to future incoming emails.

Authentication and access · Errors and retries

Request

Terminal window
curl -X PUT 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/sender-rules' \
-H 'Authorization: Bearer <access_token>' \
-H 'Content-Type: application/json' \
--data '{"sender":"[email protected]","action":"spam"}'

Parameters

mailbox_idpathNecessarily

integer

X-Customer-IDheader
Option 1

string

Option 2

null

Request body · application/json

object

senderNecessarily

string

action

string

Valid values: "spam" "allow"

Default: "spam"

Unknown fields are not accepted.

Responses

202 Successful response

application/json

object

id

string · uuid

Operation ID for checking the status and canceling a pending submission.

kind

string

mailbox_id
Option 1

integer

Option 2

null

status

string

Valid values: "queued" "running" "succeeded" "failed" "uncertain" "cancelled"

run_at

string

Date and time in UTC. If there is no offset, the value also represents UTC.

created_at

string

Date and time in UTC. If there is no offset, the value also represents UTC.

completed_at
Option 1

string

Date and time in UTC. If there is no offset, the value also represents UTC.

Option 2

null

error

The reason for the error if the operation did not complete successfully.

Option 1

string

Option 2

null

result

The result of the operation. For sending, contains information about accepted and rejected recipients.

Option 1

object

Option 2

null

401 Login required

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

403 No access

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

404 Resource not found

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

409 State conflict

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

422 Validation error

application/json

object

detail

array

Array elements

object

locNecessarily

array

Array elements
Option 1

string

Option 2

integer

msgNecessarily

string

typeNecessarily

string

503 Temporarily unavailable

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object